## ant 0.0-5

=== DESCRIPTION ===
Package: ant
Type: Package
Title: Version of ant specific to R
Version: 0.0-5
Date: 2009-09-07
Author: Romain Francois
Maintainer: Romain Francois <francoisromain@free.fr>
Description: Version of the ant apache build tool, with a few R
        specific tasks to ease use of ant within an R package
License: Apache License (== 2.0)
LazyLoad: yes
LazyData: no
Depends: rJava (>= 0.7-0)
SystemRequirements: Java (>= 5.0)
Packaged: 2009-09-07 13:16:35 UTC; romain
Repository: CRAN
Date/Publication: 2009-09-07 18:53:25

## ant 0.0-6

=== DESCRIPTION ===
Package: ant
Type: Package
Title: Version of ant specific to R
Version: 0.0-6
Date: 2009-09-08
Author: Romain Francois
Maintainer: Romain Francois <francoisromain@free.fr>
Description: Version of the ant apache build tool, with a few R
        specific tasks to ease use of ant within an R package
License: Apache License (== 2.0)
LazyLoad: yes
LazyData: no
Depends: rJava (>= 0.7-0)
SystemRequirements: Java (>= 5.0)
Packaged: 2009-09-08 08:13:32 UTC; romain
Repository: CRAN
Date/Publication: 2009-09-08 11:13:24

## ant 0.0-8

=== DESCRIPTION ===
Package: ant
Type: Package
Title: Version of ant specific to R
Version: 0.0-8
Date: 2009-09-16
Author: Romain Francois
Maintainer: Romain Francois <francoisromain@free.fr>
Description: Version of the ant apache build tool, with a few R
        specific tasks to ease use of ant within an R package
License: Apache License (== 2.0)
LazyLoad: yes
LazyData: no
Depends: rJava (>= 0.7-0)
SystemRequirements: Java (>= 5.0)
Packaged: 2009-09-16 07:21:44 UTC; romain
Repository: CRAN
Date/Publication: 2009-09-18 20:23:31

## ant 0.0-10

=== DESCRIPTION ===
Package: ant
Type: Package
Title: Version of ant specific to R
Version: 0.0-10
Date: 2009-10-28
Author: Romain Francois
Maintainer: ORPHANED
Description: Version of the ant apache build tool, with a few R
        specific tasks to ease use of ant within an R package
License: Apache License (== 2.0)
LazyLoad: yes
LazyData: no
Depends: rJava (>= 0.8-0)
SystemRequirements: Java (>= 5.0)
Packaged: 2009-10-28 09:57:20 UTC; romain
Repository: CRAN
Date/Publication: 2009-10-28 10:02:21
X-CRAN-Original-Package: ant
X-CRAN-Comment: Orphaned on 2012-07-18 as the orginal maintainer,
        Romain Francois <francoisromain@free.fr>, is unresponsive.
X-CRAN-Original-Maintainer: Romain Francois <francoisromain@free.fr>

## ant 1.8.0

=== debian/changelog ===
ant (1.8.0-4) unstable; urgency=low

  * Convert patches to dep3 format.
  * Add patch from Petr Salinger to fix the nasty bus error in gij. (Closes:
    #570886)
  * Build *-gcj packages again.
  * Add myself to Uploaders.
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Thu, 11 Mar 2010 22:22:39 +0100

ant (1.8.0-3) unstable; urgency=low

  [ Torsten Werner ]
  * Use default-java in $(JAVA_HOME).
  * Do no longer build the -gcj packages because of bus error in gij. Such
    packages are provided by the ant1.7 source package. (Closes: #570889)
  * Remove Arnaud from the Uploaders list.

  [ Ludovic Claude ]
  * Demote ant-optional-gcj from Recommends to Suggests for package ant-optional
    (Closes: #559058)

  [ Niels Thykier ]
  * Removed obsolete linda override.

 -- Torsten Werner <twerner@debian.org>  Sat, 27 Feb 2010 18:26:35 +0100

ant (1.8.0-2) unstable; urgency=low

  [Torsten Werner]
  * Improve Description of ant-gcj thanks to Matthias Klose.

  [Ludovic Claude]
  * Fix a NPE on Diagnostics.getClassLocation(), add patch
    ant_diagnostics.patch for it (Closes: #570588)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sat, 20 Feb 2010 23:32:07 +0100

ant (1.8.0-1) unstable; urgency=low

  * New upstream version 
    (Closes: #567229, #330292, #514140, #569936, #570075)
  * Add myself to Uploaders
  * Bump up Standards-Version to 3.8.4, no changes
  * debian/control: update ant Depends and remove old
    java1-runtime-headless, add new java5-runtime-headless and
    java6-runtime-headless
  * Demote ant-gcj from Recommends to Suggests for package ant
    (Closes: #559058)
  * Fix documentation for ant-optional-gcj (Closes: #563760)
  * Update man page ant.1 and build.xml.5: fix Lintian warnings
    and update the documentation
  * Move the patch system to quilt, delete old patches
    (11_ant_underscore_dash_fix.patch, 03_SplashTaskPatch_a.patch),
    refresh all patches
  * Add tasks for stylebook and xalan2
  * Add debian/orig_tar.sh and use it to repack the archive without
    compiled jars and pdf files

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 14 Feb 2010 00:03:38 +0100

ant (1.7.1-4) unstable; urgency=low

  * Fix link to /usr/share/doc/ant-doc/manual/api. You may
    have to uninstall ant-doc then install it again for this
    change to take effect (Closes: #541416)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 01 Sep 2009 18:16:28 +0100

ant (1.7.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 10:07:55 +0200

ant (1.7.1-2) experimental; urgency=low

  * Bump up Standards-Version to 3.8.2
  * Move Ant Javadoc to /usr/share/doc/ant/api/
  * Deploy missing POM files for ant-optional package 
  * Fix version for antlr, bcel, commons-net, log4j dependencies in the
    Maven POMs.
  * Fix groupId and artifactId for commons-logging and regexp
    dependencies in the Maven POMs.
  * Fix Ant version in the Maven repository

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 22 Jul 2009 19:08:53 +0100

ant (1.7.1-1) experimental; urgency=low

  [Ludovic Claude]
  * Change section to java, bump up Standards-Version to 3.8.1
  * Update debhelper and compat to 6
  * Add Matthias Klose to Uploaders
  * Move ant-gcj from Recommends to Suggests for ant binary package
    (closes: #506220)
  * Add Build-Depends on libjaxp-1.3-java as xml-apis.jar has moved to this
    package. Add a Suggests on the same package for ant-optional
  * Add the Maven POMs to the package,
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository
  * Remove the full text of the Apache 2.0 license

  [Colin Watson]
  * Drop JDK recommendation to a Suggests to make it feasible to fit ant on
    the server CD (thanks, Thierry Carrez; LP: #389470).

  [Richard A. Johnson]
  * Added 11_ant_underscore_dash_fix.patch fixes - to _ conversion LP: #296409

  [Matthias Klose]
  * New upstream version (bug fix release).
    - mainly a bugfix release.
    - has extended support for Java6 features.
    - <script> now has support for JavaFX.
    - release notes: http://apache.linux-mirror.org/ant/README.html
  * Remove debian/patches/05_ant-bug433444.patch. Obsoleted.
  * Merge from Ubuntu:
    - ant: Depend on default-jre-headless, drop dependency on jvm.
    - Set java source and target version to 1.4.
    - ant: Recommend default-jdk | java-compiler | java-sdk.
  * Fix dangling symlink to ant-bootstrap.jar.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 03 Jul 2009 00:42:36 +0100

ant (1.7.0-6) unstable; urgency=low

  * Moved ant-bootstrap.jar to /usr/share/ant/etc/. Closes: #353586
  * Build-Depends on default-jdk-builddep. Closes: #477844

 -- Michael Koch <konqueror@gmx.de>  Tue, 29 Apr 2008 17:43:04 -0100

ant (1.7.0-5) unstable; urgency=low

  * Fix handling of native2ascii for classpath based VMs.
    Closes: 470584.
  * Fixed Section in ant-doc.doc-base.2 to 'Programming'.

 -- Michael Koch <konqueror@gmx.de>  Mon, 31 Mar 2008 20:14:27 +0200

ant (1.7.0-4) unstable; urgency=low

  * Fixed debian/changelog to differenciate between license and copyright.
  * Removed -1 in versioned dependencies from Build-Depends.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 26 Feb 2008 10:37:26 +0100

ant (1.7.0-3) unstable; urgency=low

  * Upgrade source and target version from 1.2 to 1.3.

 -- Michael Koch <mkoch@quadriga.konqueror.de>  Fri, 24 Aug 2007 19:39:32 +0200

ant (1.7.0-2) unstable; urgency=low

  * Added debian/patches/05_ant-bug433444.patch. Closes: #433444.

 -- Michael Koch <konqueror@gmx.de>  Tue, 17 Jul 2007 13:25:02 -0100

ant (1.7.0-1) unstable; urgency=low

  * New upstream version. Closes: #412716.
  * Updated debian/patches/01_gjdoc_task.patch.


=== debian/control ===
Source: ant
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Stefan Gybas <sgybas@debian.org>, Michael Koch <konqueror@gmx.de>,
 Matthias Klose <doko@debian.org>, Ludovic Claude <ludovic.claude@laposte.net>,
 Torsten Werner <twerner@debian.org>
Build-Depends: cdbs (>= 0.4.8), debhelper (>= 6), default-jdk-builddep, maven-repo-helper (>> 1.0),
 libxerces2-java, libbsf-java (>= 2.3.0rc1), liboro-java, libxalan2-java (>= 2.4.0), junit, antlr,
 liblog4j1.2-java, libregexp-java, libbcel-java (>= 5.0), libcommons-logging-java, libjdepend-java,
 libgnumail-java, libxml-commons-resolver1.1-java, libcommons-net-java, libjsch-java, libjaxp1.3-java,
 libstylebook-java
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/ant
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/ant/
Homepage: http://ant.apache.org/

Package: ant
Architecture: all
Priority: optional
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless | java5-runtime-headless |
 java6-runtime-headless, libxerces2-java
Recommends: ant-optional
Suggests: default-jdk | java-compiler | java-sdk, ant-gcj, ant-doc
Conflicts: libant1.6-java, ant-doc (<= 1.6.5-1)
Replaces: libant1.6-java, ant-doc (<= 1.6.5-1)
Description: Java based build tool like make
 A system independent (i.e. not shell based) build tool that uses XML
 files as "Makefiles". This package contains the scripts and the core
 tasks libraries. 

Package: ant-gcj
Architecture: any
Priority: optional
Depends: ant, ${misc:Depends}, ${shlibs:Depends}
Description: Java based build tool like make
 A system independent (i.e. not shell based) build tool that uses XML
 files as "Makefiles".
 .
 This package contains a native version of ant built using gcj.

Package: ant-optional
Architecture: all
Priority: optional
Depends: ${misc:Depends}, ant (= ${source:Version})
Suggests: libbsf-java, liboro-java, libxalan2-java (>= 2.4.0-1), libjaxp1.3-java, junit, liblog4j1.2-java, libregexp-java, jython, antlr, libbcel-java (>= 5.0), libcommons-logging-java, libjdepend-java, libgnumail-java, libxml-commons-resolver1.1-java, libcommons-net-java, libjsch-java, javacc, ant-optional-gcj
Conflicts: libant1.6-java
Replaces: libant1.6-java
Description: Java based build tool like make - optional libraries
 A system independent (i.e. not shell based) build tool that uses XML
 files as "Makefiles". This package contains the optional tasks libraries.

Package: ant-optional-gcj
Architecture: any
Priority: optional
Depends: ant-optional, ${misc:Depends}, ${shlibs:Depends}
Description: Java based build tool like make - API documentation and manual
 A system independent (i.e. not shell based) build tool that uses XML
 files as "Makefiles". This package contains the optional tasks libraries
 compiled natively.

Package: ant-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Suggests: ant
Description: Java based build tool like make - API documentation and manual
 A system independent (i.e. not shell based) build tool that uses XML files
 as "Makefiles". This package contains the manual of ant as well as the
 Javadoc API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for ant (uses cdbs)

#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk

include /usr/share/gcj/debian_defaults
ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs)))
  with_gcj_native := yes
endif

# needs to be exported for direct ant call
export JAVA_HOME := /usr/lib/jvm/default-java
# needed for bootstrap.sh
export JAVAC=$(JAVA_HOME)/bin/javac
# needed for bootstrap
export BOOTJAVAC_OPTS=-source 1.3 -target 1.3 -nowarn
# needed for building with bootstrap ant
export ANT_HOME := bootstrap

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    export ANT_OPTS=-Dcompile.debug=true -Dcompile.optimize=false
else
    export ANT_OPTS=-Dcompile.debug=true -Dcompile.optimize=true
endif

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAR_PATH := /usr/share/java
CLASSPATH := ${JAR_PATH}/activation.jar:${JAR_PATH}/antlr.jar:${JAR_PATH}/bcel.jar:${JAR_PATH}/bsf.jar:${JAR_PATH}/commons-logging.jar:${JAR_PATH}/gnumail.jar:${JAR_PATH}/inetlib.jar:${JAR_PATH}/jdepend.jar:${JAR_PATH}/junit.jar:${JAR_PATH}/log4j-1.2.jar:${JAR_PATH}/oro.jar:${JAR_PATH}/regexp.jar:${JAR_PATH}/xalan2.jar:${JAR_PATH}/xml-commons-resolver-1.1.jar:${JAR_PATH}/commons-net.jar:${JAR_PATH}/jsch.jar:${JAR_PATH}/stylebook.jar

build-ant: stamp-build-ant
stamp-build-ant:
	# doing bootstrapping
	install -d bootstrap/lib
	ln -sf /usr/share/java/xml-apis.jar $(DEB_BUILDDIR)/bootstrap/lib/xml-apis.jar
	ln -sf /usr/share/java/xercesImpl.jar $(DEB_BUILDDIR)/bootstrap/lib/xercesImpl.jar
	/bin/sh bootstrap.sh
	# remove -SNAPSHOT from the versions in the Maven poms
	perl -p -i -e 's/-SNAPSHOT//g' `find src/etc/poms/ -name pom.xml`
	# the rest
	/bin/sh bootstrap/bin/ant -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 -Dbuild.classpath=${CLASSPATH} -propertyfile debian/ant.properties jars javadocs
	ln -sf /usr/share/java/xml-apis.jar $(DEB_BUILDDIR)/lib/xml-apis.jar
	ln -sf /usr/share/java/xercesImpl.jar $(DEB_BUILDDIR)/lib/xercesImpl.jar
	touch stamp-build-ant

install/ant:: build-ant
	dh_install -pant
	mh_installpoms -pant --set-version=$(VERSION)
	mh_installjar -pant -l src/etc/poms/ant/pom.xml build/lib/ant.jar /usr/share/ant/lib/ant.jar
	mh_installjar -pant -l src/etc/poms/ant-launcher/pom.xml build/lib/ant-launcher.jar /usr/share/ant/lib/ant-launcher.jar
	dh_install -pant build/lib/ant-bootstrap.jar /usr/share/ant/etc/
	# Installing these files does not work with dh_install because of
	# the file permissions
	mkdir -p debian/ant/usr/share/ant/bin
	install -m 755 src/script/ant     debian/ant/usr/share/ant/bin
	install -m 755 src/script/antRun  debian/ant/usr/share/ant/bin
	install -m 755 src/script/*.pl    debian/ant/usr/share/ant/bin

install/ant-optional:: build-ant
	dh_install -pant-optional src/etc/ant-update.xsl /usr/share/ant/etc/
	dh_install -pant-optional src/etc/checkstyle     /usr/share/ant/etc/
	mh_installpoms -pant-optional --set-version=$(VERSION)
	mh_installjar -pant-optional -l src/etc/poms/ant-antlr/pom.xml build/lib/ant-antlr.jar /usr/share/ant/lib/ant-antlr.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-bcel/pom.xml build/lib/ant-apache-bcel.jar /usr/share/ant/lib/ant-apache-bcel.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-bsf/pom.xml build/lib/ant-apache-bsf.jar /usr/share/ant/lib/ant-apache-bsf.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-log4j/pom.xml build/lib/ant-apache-log4j.jar /usr/share/ant/lib/ant-apache-log4j.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-oro/pom.xml build/lib/ant-apache-oro.jar /usr/share/ant/lib/ant-apache-oro.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-regexp/pom.xml build/lib/ant-apache-regexp.jar /usr/share/ant/lib/ant-apache-regexp.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-resolver/pom.xml build/lib/ant-apache-resolver.jar /usr/share/ant/lib/ant-apache-resolver.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-xalan2/pom.xml build/lib/ant-apache-xalan2.jar /usr/share/ant/lib/ant-apache-xalan2.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-commons-logging/pom.xml build/lib/ant-commons-logging.jar /usr/share/ant/lib/ant-commons-logging.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-commons-net/pom.xml build/lib/ant-commons-net.jar /usr/share/ant/lib/ant-commons-net.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-javamail/pom.xml build/lib/ant-javamail.jar /usr/share/ant/lib/ant-javamail.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-jdepend/pom.xml build/lib/ant-jdepend.jar /usr/share/ant/lib/ant-jdepend.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-jmf/pom.xml build/lib/ant-jmf.jar /usr/share/ant/lib/ant-jmf.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-jsch/pom.xml build/lib/ant-jsch.jar /usr/share/ant/lib/ant-jsch.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-junit/pom.xml build/lib/ant-junit.jar /usr/share/ant/lib/ant-junit.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-nodeps/pom.xml build/lib/ant-nodeps.jar /usr/share/ant/lib/ant-nodeps.jar
	#mh_installjar -pant-optional -l src/etc/poms/ant-stylebook/pom.xml build/lib/ant-stylebook.jar /usr/share/ant/lib/ant-stylebook.jar
	dh_install -pant-optional build/lib/ant-stylebook.jar /usr/share/ant/lib/
	dh_link -pant-optional /usr/share/ant/lib/ant-stylebook.jar /usr/share/java/ant-stylebook.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-swing/pom.xml build/lib/ant-swing.jar /usr/share/ant/lib/ant-swing.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-trax/pom.xml build/lib/ant-trax.jar /usr/share/ant/lib/ant-trax.jar
	#mh_installjar -pant-optional src/etc/poms/ant-testutil/pom.xml ant-testutil/build/ant-testutil-$(VERSION).jar
	#mh_installjar -pant-optional src/etc/poms/ant-jai/pom.xml ant-jai/build/ant-jai-$(VERSION).jar
	#mh_installjar -pant-optional src/etc/poms/ant-netrexx/pom.xml ant-netrexx/build/ant-netrexx-$(VERSION).jar
	#mh_installjar -pant-optional src/etc/poms/ant-starteam/pom.xml ant-starteam/build/ant-starteam-$(VERSION).jar
	#mh_installjar -pant-optional src/etc/poms/ant-weblogic/pom.xml ant-weblogic/build/ant-weblogic-$(VERSION).jar

ifeq ($(with_gcj_native),yes)
install/ant-gcj:: install/ant
	dh_install -pant
	dh_nativejava -pant-gcj
endif

ifeq ($(with_gcj_native),yes)
install/ant-optional-gcj:: install/ant-optional
	dh_install -pant-optional
	dh_nativejava -pant-optional-gcj
endif

install/ant-doc::
	-rm -f docs/manual/LICENSE

clean::
	-rm -f gjdoc_rawcomment.cache
	-rm -rf bin bootstrap build lib/*.jar
	-rm -f stamp-build-ant
	-rm -rf debian/tmp

get-orig-source: 
	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename --repack

## ant 1.8.0-1

=== debian/changelog ===
ant (1.8.0-1) stable; urgency=low

  * Initial import.

 -- Ruediger Gad <r.c.g@gmx.de>  Tue, 04 May 2010 20:15:16 +0000

=== debian/control ===
Source: ant
Section: user/development
Priority: extra
Maintainer: Ruediger Gad <r.c.g@gmx.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: ant
Architecture: all
Depends: 
Description: This package installs Ant.
 Ant is distributed under the terms of the Apache License Version 2.0.
 For more information see the Ant webpage (http://ant.apache.org) or after installation the files in "/opt/ant".
XSBC-Bugtracker: XSBC-Bugtracker: r.c.g@gmx.de

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/ant" install
	mkdir -p "$(CURDIR)/debian/ant"

#	mkdir -p "$(CURDIR)/debian/ant/opt/ant/"
	cp -a "src/opt/ant/INSTALL" "$(CURDIR)/debian/ant/opt/ant/INSTALL"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/"
	cp -a "src/opt/ant/KEYS" "$(CURDIR)/debian/ant/opt/ant/KEYS"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/"
	cp -a "src/opt/ant/LICENSE" "$(CURDIR)/debian/ant/opt/ant/LICENSE"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/"
	cp -a "src/opt/ant/NOTICE" "$(CURDIR)/debian/ant/opt/ant/NOTICE"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/"
	cp -a "src/opt/ant/README" "$(CURDIR)/debian/ant/opt/ant/README"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/"
	cp -a "src/opt/ant/WHATSNEW" "$(CURDIR)/debian/ant/opt/ant/WHATSNEW"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/"
	cp -a "src/opt/ant/fetch.xml" "$(CURDIR)/debian/ant/opt/ant/fetch.xml"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/"
	cp -a "src/opt/ant/get-m2.xml" "$(CURDIR)/debian/ant/opt/ant/get-m2.xml"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/README" "$(CURDIR)/debian/ant/opt/ant/lib/README"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-1.8.0.pom" "$(CURDIR)/debian/ant/opt/ant/lib/ant-1.8.0.pom"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-1.8.0.pom.md5" "$(CURDIR)/debian/ant/opt/ant/lib/ant-1.8.0.pom.md5"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-1.8.0.pom.sha1" "$(CURDIR)/debian/ant/opt/ant/lib/ant-1.8.0.pom.sha1"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-1.8.0.pom.sha512" "$(CURDIR)/debian/ant/opt/ant/lib/ant-1.8.0.pom.sha512"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-antlr-1.8.0.pom" "$(CURDIR)/debian/ant/opt/ant/lib/ant-antlr-1.8.0.pom"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-antlr-1.8.0.pom.md5" "$(CURDIR)/debian/ant/opt/ant/lib/ant-antlr-1.8.0.pom.md5"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-antlr-1.8.0.pom.sha1" "$(CURDIR)/debian/ant/opt/ant/lib/ant-antlr-1.8.0.pom.sha1"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-antlr-1.8.0.pom.sha512" "$(CURDIR)/debian/ant/opt/ant/lib/ant-antlr-1.8.0.pom.sha512"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-antlr.jar" "$(CURDIR)/debian/ant/opt/ant/lib/ant-antlr.jar"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-bcel-1.8.0.pom" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-bcel-1.8.0.pom"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-bcel-1.8.0.pom.md5" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-bcel-1.8.0.pom.md5"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-bcel-1.8.0.pom.sha1" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-bcel-1.8.0.pom.sha1"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-bcel-1.8.0.pom.sha512" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-bcel-1.8.0.pom.sha512"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-bcel.jar" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-bcel.jar"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-bsf-1.8.0.pom" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-bsf-1.8.0.pom"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-bsf-1.8.0.pom.md5" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-bsf-1.8.0.pom.md5"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-bsf-1.8.0.pom.sha1" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-bsf-1.8.0.pom.sha1"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-bsf-1.8.0.pom.sha512" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-bsf-1.8.0.pom.sha512"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-bsf.jar" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-bsf.jar"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-log4j-1.8.0.pom" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-log4j-1.8.0.pom"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-log4j-1.8.0.pom.md5" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-log4j-1.8.0.pom.md5"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-log4j-1.8.0.pom.sha1" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-log4j-1.8.0.pom.sha1"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-log4j-1.8.0.pom.sha512" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-log4j-1.8.0.pom.sha512"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-log4j.jar" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-log4j.jar"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-oro-1.8.0.pom" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-oro-1.8.0.pom"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-oro-1.8.0.pom.md5" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-oro-1.8.0.pom.md5"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-oro-1.8.0.pom.sha1" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-oro-1.8.0.pom.sha1"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-oro-1.8.0.pom.sha512" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-oro-1.8.0.pom.sha512"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-oro.jar" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-oro.jar"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-regexp-1.8.0.pom" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-regexp-1.8.0.pom"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-regexp-1.8.0.pom.md5" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-regexp-1.8.0.pom.md5"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-regexp-1.8.0.pom.sha1" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-regexp-1.8.0.pom.sha1"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-regexp-1.8.0.pom.sha512" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-regexp-1.8.0.pom.sha512"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-regexp.jar" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-regexp.jar"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-resolver-1.8.0.pom" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-resolver-1.8.0.pom"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-resolver-1.8.0.pom.md5" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-resolver-1.8.0.pom.md5"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"
	cp -a "src/opt/ant/lib/ant-apache-resolver-1.8.0.pom.sha1" "$(CURDIR)/debian/ant/opt/ant/lib/ant-apache-resolver-1.8.0.pom.sha1"
	mkdir -p "$(CURDIR)/debian/ant/opt/ant/lib/"

## ant 1.8.0-2

=== debian/changelog ===
ant (1.8.0-2) stable; urgency=low

  * Fix description etc.

 -- Ruediger Gad <r.c.g@gmx.de>  Thu, 06 May 2010 17:17:43 +0000

=== debian/control ===
Source: ant
Section: user/development
Priority: extra
Maintainer: Ruediger Gad <r.c.g@gmx.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: ant
Architecture: all
Depends: icedtea6
Description: Ant is a system independent build tool.
 Ant is distributed under the terms of the Apache License Version 2.0.
 For more information see the Ant webpage (http://ant.apache.org) or after installation the files in "/usr/share/ant".
XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5657&group_id=1578

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/ant" install
	mkdir -p "$(CURDIR)/debian/ant"

#	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/"
	cp -a "src/opt/maemo/usr/share/ant/INSTALL" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/INSTALL"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/"
	cp -a "src/opt/maemo/usr/share/ant/KEYS" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/KEYS"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/"
	cp -a "src/opt/maemo/usr/share/ant/LICENSE" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/LICENSE"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/"
	cp -a "src/opt/maemo/usr/share/ant/NOTICE" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/NOTICE"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/"
	cp -a "src/opt/maemo/usr/share/ant/README" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/README"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/"
	cp -a "src/opt/maemo/usr/share/ant/WHATSNEW" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/WHATSNEW"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/"
	cp -a "src/opt/maemo/usr/share/ant/fetch.xml" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/fetch.xml"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/"
	cp -a "src/opt/maemo/usr/share/ant/get-m2.xml" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/get-m2.xml"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/ant-bootstrap.jar" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/ant-bootstrap.jar"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/changelog.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/changelog.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/coverage-frames.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/coverage-frames.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/jdepend-frames.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/jdepend-frames.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/jdepend.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/jdepend.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/junit-frames-xalan1.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/junit-frames-xalan1.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/junit-frames.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/junit-frames.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/junit-noframes.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/junit-noframes.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/log.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/log.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/maudit-frames.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/maudit-frames.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/mmetrics-frames.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/mmetrics-frames.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/"
	cp -a "src/opt/maemo/usr/share/ant/etc/tagdiff.xsl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/etc/tagdiff.xsl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/ant" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/ant"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/ant.bat" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/ant.bat"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/ant.cmd" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/ant.cmd"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/antRun" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/antRun"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/antRun.bat" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/antRun.bat"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/antRun.pl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/antRun.pl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/antenv.cmd" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/antenv.cmd"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/complete-ant-cmd.pl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/complete-ant-cmd.pl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/envset.cmd" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/envset.cmd"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/lcp.bat" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/lcp.bat"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/runant.pl" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/runant.pl"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/runant.py" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/runant.py"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/"
	cp -a "src/opt/maemo/usr/share/ant/bin/runrc.cmd" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/bin/runrc.cmd"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/"
	cp -a "src/opt/maemo/usr/share/ant/lib/README" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/README"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/"
	cp -a "src/opt/maemo/usr/share/ant/lib/ant-1.8.0.pom" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/ant-1.8.0.pom"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/"
	cp -a "src/opt/maemo/usr/share/ant/lib/ant-1.8.0.pom.md5" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/ant-1.8.0.pom.md5"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/"
	cp -a "src/opt/maemo/usr/share/ant/lib/ant-1.8.0.pom.sha1" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/ant-1.8.0.pom.sha1"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/"
	cp -a "src/opt/maemo/usr/share/ant/lib/ant-1.8.0.pom.sha512" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/ant-1.8.0.pom.sha512"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/"
	cp -a "src/opt/maemo/usr/share/ant/lib/ant-antlr-1.8.0.pom" "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/ant-antlr-1.8.0.pom"
	mkdir -p "$(CURDIR)/debian/ant/opt/maemo/usr/share/ant/lib/"

## ant 1.8.0-3

=== debian/changelog ===
ant (1.8.0-3) stable; urgency=low

  * Set arch to armel because icedtea6 is currently only available for armel.

 -- Ruediger Gad <r.c.g@gmx.de>  Thu, 06 May 2010 20:31:37 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: ant
-Architecture: all
+Architecture: armel
 Depends: icedtea6
 Description: Ant is a system independent build tool.
  Ant is distributed under the terms of the Apache License Version 2.0.

## ant 1.8.0-4

=== debian/changelog ===
ant (1.8.0-4) stable; urgency=low

  * Fix bugtracker.

 -- Ruediger Gad <r.c.g@gmx.de>  Fri, 07 May 2010 21:59:20 +0000

=== debian/control ===
--- 
+++ 
@@ -11,4 +11,4 @@
 Description: Ant is a system independent build tool.
  Ant is distributed under the terms of the Apache License Version 2.0.
  For more information see the Ant webpage (http://ant.apache.org) or after installation the files in "/usr/share/ant".
-XSBC-Bugtracker: XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5657&group_id=1578
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5657&group_id=1578

## ant 1.8.1

=== debian/changelog ===
ant (1.8.1-1) experimental; urgency=low

  [ Niels Thykier ]
  * Replaced B-D on default-jdk-builddep with gcj-native-helper
    and default-jdk.
  * Bumped Standards-Versions to 3.9.0.
    - Reduced a Conflicts to a Breaks.

  [ Torsten Werner ]
  * New upstream release
  * Update or remove our patches.
  * Do no longer install ant-stylebook.jar and ant-trax.jar because they are no
    longer built.
  * Remove Stefan from Uploaders list. Thanks to your contributions!

 -- Torsten Werner <twerner@debian.org>  Thu, 05 Aug 2010 22:23:25 +0200

=== debian/control ===
Source: ant
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Matthias Klose <doko@debian.org>,
 Ludovic Claude <ludovic.claude@laposte.net>, Torsten Werner <twerner@debian.org>
Build-Depends: cdbs (>= 0.4.8), debhelper (>= 6), default-jdk, maven-repo-helper (>> 1.0),
 libxerces2-java, libbsf-java (>= 2.3.0rc1), liboro-java, libxalan2-java (>= 2.4.0), junit, antlr,
 liblog4j1.2-java, libregexp-java, libbcel-java (>= 5.0), libcommons-logging-java, libjdepend-java,
 libgnumail-java, libxml-commons-resolver1.1-java, libcommons-net-java, libjsch-java, libjaxp1.3-java,
 gcj-native-helper
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/ant
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/ant/
Homepage: http://ant.apache.org/

Package: ant
Architecture: all
Priority: optional
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless | java5-runtime-headless |
 java6-runtime-headless, libxerces2-java
Recommends: ant-optional
Suggests: default-jdk | java-compiler | java-sdk, ant-gcj, ant-doc
Conflicts: libant1.6-java
Replaces: libant1.6-java, ant-doc (<= 1.6.5-1)
Breaks: ant-doc (<= 1.6.5-1)
Description: Java based build tool like make
 A system independent (i.e. not shell based) build tool that uses XML
 files as "Makefiles". This package contains the scripts and the core
 tasks libraries. 

Package: ant-gcj
Architecture: any
Priority: optional
Depends: ant, ${misc:Depends}, ${shlibs:Depends}
Description: Java based build tool like make
 A system independent (i.e. not shell based) build tool that uses XML
 files as "Makefiles".
 .
 This package contains a native version of ant built using gcj.

Package: ant-optional
Architecture: all
Priority: optional
Depends: ${misc:Depends}, ant (= ${source:Version})
Suggests: libbsf-java, liboro-java, libxalan2-java (>= 2.4.0-1), libjaxp1.3-java, junit, liblog4j1.2-java, libregexp-java, jython, antlr, libbcel-java (>= 5.0), libcommons-logging-java, libjdepend-java, libgnumail-java, libxml-commons-resolver1.1-java, libcommons-net-java, libjsch-java, javacc, ant-optional-gcj
Conflicts: libant1.6-java
Replaces: libant1.6-java
Description: Java based build tool like make - optional libraries
 A system independent (i.e. not shell based) build tool that uses XML
 files as "Makefiles". This package contains the optional tasks libraries.

Package: ant-optional-gcj
Architecture: any
Priority: optional
Depends: ant-optional, ${misc:Depends}, ${shlibs:Depends}
Description: Java based build tool like make - API documentation and manual
 A system independent (i.e. not shell based) build tool that uses XML
 files as "Makefiles". This package contains the optional tasks libraries
 compiled natively.

Package: ant-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Suggests: ant
Description: Java based build tool like make - API documentation and manual
 A system independent (i.e. not shell based) build tool that uses XML files
 as "Makefiles". This package contains the manual of ant as well as the
 Javadoc API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for ant (uses cdbs)

#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk

include /usr/share/gcj/debian_defaults
ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs)))
  with_gcj_native := yes
endif

# needs to be exported for direct ant call
export JAVA_HOME := /usr/lib/jvm/default-java
# needed for bootstrap.sh
export JAVAC=$(JAVA_HOME)/bin/javac
# needed for bootstrap
export BOOTJAVAC_OPTS=-source 1.3 -target 1.3 -nowarn
# needed for building with bootstrap ant
export ANT_HOME := bootstrap

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    export ANT_OPTS=-Dcompile.debug=true -Dcompile.optimize=false
else
    export ANT_OPTS=-Dcompile.debug=true -Dcompile.optimize=true
endif

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAR_PATH := /usr/share/java
CLASSPATH := ${JAR_PATH}/activation.jar:${JAR_PATH}/antlr.jar:${JAR_PATH}/bcel.jar:${JAR_PATH}/bsf.jar:${JAR_PATH}/commons-logging.jar:${JAR_PATH}/gnumail.jar:${JAR_PATH}/inetlib.jar:${JAR_PATH}/jdepend.jar:${JAR_PATH}/junit.jar:${JAR_PATH}/log4j-1.2.jar:${JAR_PATH}/oro.jar:${JAR_PATH}/regexp.jar:${JAR_PATH}/xalan2.jar:${JAR_PATH}/xml-commons-resolver-1.1.jar:${JAR_PATH}/commons-net.jar:${JAR_PATH}/jsch.jar

build-ant: stamp-build-ant
stamp-build-ant:
	# doing bootstrapping
	install -d bootstrap/lib
	ln -sf /usr/share/java/xml-apis.jar $(DEB_BUILDDIR)/bootstrap/lib/xml-apis.jar
	ln -sf /usr/share/java/xercesImpl.jar $(DEB_BUILDDIR)/bootstrap/lib/xercesImpl.jar
	/bin/sh bootstrap.sh
	# remove -SNAPSHOT from the versions in the Maven poms
	perl -p -i -e 's/-SNAPSHOT//g' `find src/etc/poms/ -name pom.xml`
	# the rest
	/bin/sh bootstrap/bin/ant -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 -Dbuild.classpath=${CLASSPATH} -propertyfile debian/ant.properties jars javadocs
	ln -sf /usr/share/java/xml-apis.jar $(DEB_BUILDDIR)/lib/xml-apis.jar
	ln -sf /usr/share/java/xercesImpl.jar $(DEB_BUILDDIR)/lib/xercesImpl.jar
	touch stamp-build-ant

install/ant:: build-ant
	dh_install -pant
	mh_installpoms -pant --set-version=$(VERSION)
	mh_installjar -pant -l src/etc/poms/ant/pom.xml build/lib/ant.jar /usr/share/ant/lib/ant.jar
	mh_installjar -pant -l src/etc/poms/ant-launcher/pom.xml build/lib/ant-launcher.jar /usr/share/ant/lib/ant-launcher.jar
	dh_install -pant build/lib/ant-bootstrap.jar /usr/share/ant/etc/
	# Installing these files does not work with dh_install because of
	# the file permissions
	mkdir -p debian/ant/usr/share/ant/bin
	install -m 755 src/script/ant     debian/ant/usr/share/ant/bin
	install -m 755 src/script/antRun  debian/ant/usr/share/ant/bin
	install -m 755 src/script/*.pl    debian/ant/usr/share/ant/bin

install/ant-optional:: build-ant
	dh_install -pant-optional src/etc/ant-update.xsl /usr/share/ant/etc/
	dh_install -pant-optional src/etc/checkstyle     /usr/share/ant/etc/
	mh_installpoms -pant-optional --set-version=$(VERSION)
	mh_installjar -pant-optional -l src/etc/poms/ant-antlr/pom.xml build/lib/ant-antlr.jar /usr/share/ant/lib/ant-antlr.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-bcel/pom.xml build/lib/ant-apache-bcel.jar /usr/share/ant/lib/ant-apache-bcel.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-bsf/pom.xml build/lib/ant-apache-bsf.jar /usr/share/ant/lib/ant-apache-bsf.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-log4j/pom.xml build/lib/ant-apache-log4j.jar /usr/share/ant/lib/ant-apache-log4j.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-oro/pom.xml build/lib/ant-apache-oro.jar /usr/share/ant/lib/ant-apache-oro.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-regexp/pom.xml build/lib/ant-apache-regexp.jar /usr/share/ant/lib/ant-apache-regexp.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-resolver/pom.xml build/lib/ant-apache-resolver.jar /usr/share/ant/lib/ant-apache-resolver.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-apache-xalan2/pom.xml build/lib/ant-apache-xalan2.jar /usr/share/ant/lib/ant-apache-xalan2.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-commons-logging/pom.xml build/lib/ant-commons-logging.jar /usr/share/ant/lib/ant-commons-logging.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-commons-net/pom.xml build/lib/ant-commons-net.jar /usr/share/ant/lib/ant-commons-net.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-javamail/pom.xml build/lib/ant-javamail.jar /usr/share/ant/lib/ant-javamail.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-jdepend/pom.xml build/lib/ant-jdepend.jar /usr/share/ant/lib/ant-jdepend.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-jmf/pom.xml build/lib/ant-jmf.jar /usr/share/ant/lib/ant-jmf.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-jsch/pom.xml build/lib/ant-jsch.jar /usr/share/ant/lib/ant-jsch.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-junit/pom.xml build/lib/ant-junit.jar /usr/share/ant/lib/ant-junit.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-nodeps/pom.xml build/lib/ant-nodeps.jar /usr/share/ant/lib/ant-nodeps.jar
	mh_installjar -pant-optional -l src/etc/poms/ant-swing/pom.xml build/lib/ant-swing.jar /usr/share/ant/lib/ant-swing.jar
	#mh_installjar -pant-optional src/etc/poms/ant-testutil/pom.xml ant-testutil/build/ant-testutil-$(VERSION).jar
	#mh_installjar -pant-optional src/etc/poms/ant-jai/pom.xml ant-jai/build/ant-jai-$(VERSION).jar
	#mh_installjar -pant-optional src/etc/poms/ant-netrexx/pom.xml ant-netrexx/build/ant-netrexx-$(VERSION).jar
	#mh_installjar -pant-optional src/etc/poms/ant-starteam/pom.xml ant-starteam/build/ant-starteam-$(VERSION).jar
	#mh_installjar -pant-optional src/etc/poms/ant-weblogic/pom.xml ant-weblogic/build/ant-weblogic-$(VERSION).jar

ifeq ($(with_gcj_native),yes)
install/ant-gcj:: install/ant
	dh_install -pant
	dh_nativejava -pant-gcj
endif

ifeq ($(with_gcj_native),yes)
install/ant-optional-gcj:: install/ant-optional
	dh_install -pant-optional
	dh_nativejava -pant-optional-gcj
endif

install/ant-doc::
	-rm -f docs/manual/LICENSE

clean::
	-rm -f gjdoc_rawcomment.cache
	-rm -rf bin bootstrap build lib/*.jar
	-rm -f stamp-build-ant
	-rm -rf debian/tmp

get-orig-source: 
	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename --repack
